|
Menu location |
---|
Tools → Add text document |
Workbenches |
All |
Default shortcut |
None |
Introduced in version |
0.19 |
See also |
Draft ShapeString, Draft Text |
Description
The Std TextDocument command creates an object capable of holding arbitrary text. This element can be used to write general information or documentation about the model.
Usage
- Select the Tools →
Add text document option from the menu.
- Double-click the newly created object in the Tree view to open a tab in which to write text.
- Add text.
- Close the tab and save the file when asked.
Properties
View
Editor
- ViewFont Name (
Font
): a font name, for example,Ubuntu Mono
. - ViewFont Size (
Float
): a font size in points, for example,11
. - ViewRead Only (
Bool
): it defaults tofalse
. If set totrue
the text cannot be edited. - ViewSyntax Highlighter (
Enumeration
): it defaults toNone
. If set toPython
, the text will be highlighted like the Python console.
Scripting
See also: Autogenerated API documentation and FreeCAD Scripting Basics.
See Part Feature for the general information on adding objects to a document.
An App::TextDocument
object is created with the addObject()
method of the document. Once a TextDocument exists, its textual information is stored in its Text
attribute. This attribute can be used in other objects, for example, as the string in a Draft ShapeString.
import FreeCAD as App
import Draft
doc = App.newDocument()
obj = doc.addObject("App::TextDocument", "Text_document")
obj.Text = "textual information"
doc.recompute()
obj2 = Draft.makeShapeString(obj.Text, "/usr/share/fonts/truetype/dejavu/DejaVuSans.ttf", 10)
doc.recompute()
This page is retrieved from https://wiki.freecad.org/Std_TextDocument